package com.hai.service;

import com.alibaba.fastjson.JSONObject;

/**
 * @serviceName HltMerchantService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 测试接口
 * @createTime 11:46 上午 2021/12/15
 **/
public interface HighTestService {

    /**
    * @Author Sum1Dream
    * @name getReadFile.java
    * @Description //读取文件
    * @Date 5:31 下午 2021/12/16
    * @Param []
    * @return void
    */
    void getReadFile() throws Exception;


    /**
    * @Author Sum1Dream
    * @name getUserDiscount.java
    * @Description // 赠送用户卡券
    * @Date 7:14 下午 2021/12/24
    * @Param []
    * @return void
    */
    void getUserDiscount(Long id) throws Exception;

    /**
    * @Author Sum1Dream
    * @name getMobile.java
    * @Description // 请求话费
    * @Date 5:02 下午 2022/1/17
    * @Param [java.lang.String]
    * @return com.alibaba.fastjson.JSONObject
    */
    JSONObject getMobile(String phone , Integer amount , String orderNo) throws Exception;

}
